Computer Security
[EN] securityvulns.ru no-pyccku


VLC media player memory corruption
Published:14.02.2011
Source:
SecurityVulns ID:11425
Type:local
Threat Level:
5/10
Description:Memory corruption on Matroska/WebM сontainers parsing.
Affected:VLC : vlc 1.1
CVE:CVE-2011-0531 (demux/mkv/mkv.hpp in the MKV demuxer plugin in VideoLAN VLC media player 1.1.6.1 and earlier allows remote attackers to cause a denial of service (crash) and execute arbitrary commands via a crafted MKV (WebM or Matroska) file that triggers memory corruption, related to "class mismatching" and the MKV_IS_ID macro.)
Original documentdocumentDEBIAN, [SECURITY] [DSA 2159-1] vlc security update (14.02.2011)

About | Terms of use | Privacy Policy
© SecurityVulns, 3APA3A, Vladimir Dubrovin
Nizhny Novgorod